function fish_right_prompt
	set -l code $status
	set -l jobs (jobs | wc -l)

	if test $jobs -gt 0
		set_color $fish_color_jobs
		echo "$jobs "
	end

	if test $code -gt 0
		set_color $fish_color_error
		echo "$code "
	end

	set_color normal
end
